#
# "$Id: cupsddk.spec.in 343 2007-07-13 19:52:48Z mike $"
#
#   RPM "spec" file for the CUPS Driver Development Kit.
#
#   Copyright 2007 by Apple Inc.
#   Copyright 1997-2007 by Easy Software Products, all rights reserved.
#
#   These coded instructions, statements, and computer programs are the
#   property of Apple Inc. and are protected by Federal copyright
#   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
#   which should have been included with this file.  If this file is
#   file is missing or damaged, see the license at "http://www.cups.org/".
#

Summary: CUPS Driver Development Kit
Name: cupsddk
Version: 1.2.3
Release: 1%{?dist}
License: GPLv2
Group: Development/Libraries
Source: http://ftp.easysw.com/pub/%{name}/%{version}/cupsddk-%{version}-source.tar.bz2
Patch0: cupsddk-no-gzip-man-pages.patch
Patch1: cupsddk-smp-build.patch
Patch2: cupsddk-no-strip.patch
Url: http://www.cups.org/ddk/

# Use buildroot so as not to disturb the version already installed
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: cups-devel >= 1:1.2
BuildRequires: libtiff-devel, libjpeg-devel, libpng-devel, zlib-devel

%package devel
Summary: CUPS DDK - development environment
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%package drivers
Summary: CUPS DDK - printer drivers
Group: System Environment/Libraries

%description
The CUPS Driver Development Kit (DDK) provides a suite of
standard drivers, a PPD file compiler, and other utilities that
can be used to develop printer drivers for CUPS and other
printing environments.  CUPS provides a portable printing layer
for UNIX(r)-based operating systems.  The CUPS DDK provides the
means for mass-producing PPD files and drivers/filters for
CUPS-based printer drivers.

The CUPS DDK is licensed under the GNU General Public License. 
Please contact Easy Software Products for commercial support and
"binary distribution" rights.

%description devel
This is the development package. 

%description drivers
The CUPS DDK drivers provide support for all HP PCL/RTL and Epson
ESC/P2 devices.

%prep
%setup -q
%patch0 -p1 -z .no-gzip-man-pages
%patch1 -p1 -z .smp-build
%patch2 -p1 -z .no-strip

%build
%configure --with-optim="$RPM_OPT_FLAGS"

# If we got this far, all prerequisite libraries must be here.
make %{?_smp_mflags}

%install
# Make sure the RPM_BUILD_ROOT directory exists.
rm -rf $RPM_BUILD_ROOT

make BUILDROOT=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE.txt
%{_bindir}/*
%{_datadir}/doc/cups/*

%{_mandir}/man1/cupsprofile.1*
%{_mandir}/man1/ppdc.1*
%{_mandir}/man1/ppdhtml.1*
%{_mandir}/man1/ppdi.1*
%{_mandir}/man1/ppdmerge.1*
%{_mandir}/man1/ppdpo.1*
%{_mandir}/man5/ppdcfile.5*

%files devel
%{_includedir}/cups/*
%dir %{_datadir}/cupsddk
%{_datadir}/cupsddk/include

%files drivers
%dir /usr/lib/cups/filter
/usr/lib/cups/filter/*
/usr/lib/cups/driver/*
%dir %{_datadir}/cups/drv
%dir %{_datadir}/cupsddk
%{_datadir}/cupsddk/po

%{_mandir}/man1/commandtoescpx.1*
%{_mandir}/man1/commandtopclx.1*
%{_mandir}/man1/rastertoescpx.1*
%{_mandir}/man1/rastertopclx.1*

%changelog
* Sat Oct  6 2007 Tim Waugh <twaugh@redhat.com> 1.2.3-1
- 1.2.3.  Only change from 1.2.2 is to incorporate build fix.

* Tue Oct  2 2007 Tim Waugh <twaugh@redhat.com> 1.2.2-1
- 1.2.2 (with patch to fix build).

* Sat Sep 29 2007 Tim Waugh <twaugh@redhat.com> 1.2.1-1
- 1.2.1.

* Wed Aug 29 2007 Tim Waugh <twaugh@redhat.com> 1.2.0-4
- More specific license tag.

* Fri Jul 20 2007 Tim Waugh <twaugh@redhat.com> 1.2.0-3
- Fix directory ownership.
- Better group for driver sub-package.
- Don't strip binaries.

* Fri Jul 20 2007 Tim Waugh <twaugh@redhat.com> 1.2.0-2
- Use %%configure macro and %%{?dist} tag.  Better group.

* Thu Jul 19 2007 Tim Waugh <twaugh@redhat.com> 1.2.0-1
- Initial Fedora package, starting from upstream spec file.
  Removed Packager and Vendor tags.
  Added changelog section.
  Packaged LICENSE.txt as doc.
  Use %%{_mandir} macro.  Don't own %%{_mandir}/man*.
  Use %%{_datadir} macro.
  Use %%{_includedir} macro.
  Use %%{_bindir} macro.
  Better BuildRoot tag.
  Don't gzip man pages; let RPM do it.
  Use %%{_?smp_mflags}.
  Fixed cups/Makefile to work with SMP make flags.
  Build requires libtiff-devel, libjpeg-devel, libpng-devel, zlib-devel.
